<%@ tag language="java" pageEncoding="UTF-8"
	import="net.jazz.web.jsp.internal.tags.AjaxPage"
	import="net.jazz.ajax.model.Resource"%>
<%@ attribute name="dojoModule" required="true"%>
<%@ attribute name="title" required="true"%>
<%@ attribute name="bodyClass"%>
<%@ attribute name="icon"%>
<!DOCTYPE html>
<% AjaxPage ajaxPage = new AjaxPage(jspContext, dojoModule, request);
%><html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" >
	<meta http-equiv="X-UA-Compatible" content="IE=9" >
	<title>${title}<%-- TODO fn:escapeXml(title) --%></title>
	<% if (getIcon() != null) { %>
		<link rel="shortcut icon" href="${contextRoot}/web/${icon}">
	<% } %>
	<base href="${contextRoot}/"/>
	<link rel="stylesheet" href="${style}" >
</head>
<body class="claro $bodyClass">
	<noscript><div style="color: #D0D0D0;font-size: 2em;text-align: center;position: absolute;top: 1%;z-index: 999;">Javascript not supported</div></noscript>
	<script type="text/javascript">
		djConfig = {
			isDebug: ${isDebugEnabled},
			usePlainJson: true,
			baseUrl: "${baseUrl}",
			locale: "${locale}",
			localizationComplete: true,
			parseOnLoad: true
		};
		net = {jazz: {ajax: {_contextRoot: "${contextRoot}"	}}};
	</script>
	
 	<%for (String url : ajaxPage.javascript) {%>
 		<script type="text/javascript" src="<%=url%>"></script>
<%--  		<script type="text/javascript">
 			setTimeout(function(){
		 		var script = document.createElement("script");
				script.type = "text/javascript";
				script.src = "<%=url%>";
				document.body.appendChild(script);
	 		});
 		</script>
 --%>	<%}%>
	<% out.flush(); %>
 	<jsp:doBody/>
 	<script type="text/javascript">
 		dojo.getObject('jazz.core.loader', true)._loaded=['${tinyId}'];
 		jazz.core.loader._serverStartup = "<%=Resource.internalGetStartupETag()%>";
 	</script>
</body>
</html>
