<%--
Licensed Materials - Property of IBM
(c) Copyright IBM Corporation 2011. All Rights Reserved.
Note to U.S. Government Users Restricted Rights:  Use,
duplication or disclosure restricted by GSA ADP Schedule 
Contract with IBM Corp.
--%>
<%@tag language="java" pageEncoding="UTF-8"
import="com.ibm.team.dashboard.service.internal.PersonalDashboardPage"
import="com.ibm.team.dashboard.service.internal.jfs.DashboardResource"
import="net.jazz.ajax.internal.util.Util"
import="net.jazz.web.jsp.Dijit"
%>
<%@ attribute name="dashboard" required="true" type="com.ibm.team.dashboard.service.internal.jfs.DashboardResource"%>

<%@ taglib uri="/WEB-INF/net.jazz.web/core.tld" prefix="jazz"%>
<%@ taglib tagdir="/WEB-INF/tags/dashboards" prefix="dashboards"%>

<div class="com-ibm-team-dashboard-web-ui-internal-DashboardPage"
		dojoType="com.ibm.team.dashboard.web.ui.internal.PersonalDashboardPage"
		widgetsInTemplate="true"
		serverTemplated="true">
	<div class="com-ibm-team-dashboard-web-ui-internal-Dashboard"
			dojoType="com.ibm.team.dashboard.web.ui.Dashboard"
			widgetsInTemplate="true"
			serverTemplated="true">
		
		<%-- BEGIN DashboardContainer --%>
		<div class="com-ibm-team-dashboard-content"
				dojoType="com.ibm.team.dashboard.web.ui.internal.DashboardContainer"
				widgetsInTemplate="true"
				serverTemplated="true">
			<div class="meta-area">
				<div dojoattachpoint="metaNav"></div>
				<div class="com-ibm-team-dashboard-tabs" dojoattachpoint="_tabWrapper">
					<div class="tabArea" dojoattachpoint="_tabArea">
						<div class="tabs" dojoattachpoint="_tabs"></div>
						<div class="options">
							<a class="tab" href="#" style="display: none" dojoattachpoint="_catalogLink" dojoattachevent="onclick: _toggleCatalog" title="${messages.addViewletText}"><span class="tabInnerDiv"><span class="tabTitle"><img src="${_addViewletImgSrc}" class="add-widget-img"><span class="add-widget-span">${messages.addViewletText}</span></span></span></a>
						</div>
					</div>
					<div class="left-curve"></div>
					<div class="right-curve"></div>
				</div>
			</div>
			<div class="add-viewlet-panel" dojoAttachPoint="_catalogDrawerSite" style="display: none">
				<div class="content" dojoAttachPoint="_catalogContent"></div>
			</div>
			<div dojoattachpoint="_viewletPageWrapper">
				<dashboards:ViewletPage dashboard="${dashboard}"/>
			</div>
		</div>
		<%-- END DashboardContainer --%>
		<div dojoattachpoint="cdata" style="display: none;"><![CDATA[<%
			DashboardResource dashboard = (DashboardResource)jspContext.getAttribute("dashboard");
			out.append(Util.stringBuffer(dashboard.getEntity().getContent()));
		%>]]></div>
	</div>
</div>