<%--
Licensed Materials - Property of IBM
(c) Copyright IBM Corporation 2011. All Rights Reserved.
Note to U.S. Government Users Restricted Rights:  Use,
duplication or disclosure restricted by GSA ADP Schedule 
Contract with IBM Corp.
--%>
<%@tag language="java" pageEncoding="UTF-8"
import="com.ibm.team.dashboard.service.internal.jfs.DashboardResource"
import="com.ibm.team.dashboard.service.internal.ViewletPageTag"
import="com.ibm.team.dashboard.service.internal.binding.*"
%>
<%@ attribute name="dashboard" required="true" type="com.ibm.team.dashboard.service.internal.jfs.DashboardResource" %>
<%@ attribute name="pageId" %>

<% ViewletPageTag viewletPage = new ViewletPageTag(jspContext); %>

<%@ taglib uri="/WEB-INF/net.jazz.web/core.tld" prefix="jazz"%>
<%@ taglib tagdir="/WEB-INF/tags/dashboards" prefix="dashboards"%>

<div class="com-ibm-team-dashboard-viewletpage"
		dojoType="com.ibm.team.dashboard.web.ui.internal.ViewletPage"
		widgetsInTemplate="true"
		serverTemplated="true"
		dojoattachpoint="_tabArea">
	<div class="jazz-ensemble-WidgetPanel"
			dojoType="jazz.ensemble.WidgetPanel"
			widgetsInTemplate="true"
			serverTemplated="true">
		<div class="jazz-ensemble-layout-column"
				dojoType="jazz.ensemble.internal.layout.ColumnLayout"
				widgetsInTemplate="true"
				serverTemplated="true">
			<div class="jazz-ensemble-internal-layout-ResizableColumns"
					dojoType="jazz.ensemble.internal.layout.ResizableColumns"
					widgetsInTemplate="true"
					serverTemplated="true">
			<%
			int index = 0;
			for (Column column : viewletPage.page.getLayout().getData().getColumns()) {
				String width = column.getWidth();
				%>
				<div class="jazz-ensemble-internal-layout-Column ${layoutType} column<%=index%>"
						dojoType="jazz.ensemble.internal.layout.Column"
						widgetsInTemplate="true"
						style="width: <%=width%>%;"
						serverTemplated="true">
				<%
				for (WidgetReference ref : column.getWidgetReferences()) {
					jspContext.setAttribute("widget", viewletPage.getWidget(ref.getId()));
					%>
					${widget.title}<br/>
					<%
				}
				%>
				</div>
				<%
				index++;
			}
			%>
			</div>
		</div>
		<div class="clear"></div>
	</div>
</div>
