<%@ tag language="java" pageEncoding="UTF-8"
	import="net.jazz.web.jsp.Dijit"%>
<%@ attribute name="applicationId" required="true" %>
<%@ attribute name="applicationName" required="true" %>
<%@ attribute name="applicationInstance" required="true" %>
<%@ attribute name="dojoModule" required="true" %>
<%@ attribute name="pageTitle"%>
<%@ attribute name="bannerTitle"%>
<%@ attribute name="bannerIcon" required="true"%>
<%@ attribute name="bannerHomeLink"%>
<%@ attribute name="bodyClass"%>
<%@ taglib uri="/WEB-INF/net-jazz-web/core.tld" prefix="jazz"%>
<%@ taglib prefix="internal" tagdir="/WEB-INF/tags/net-jazz-web-app-internal"%>
<%@ taglib uri="/WEB-INF/net-jazz-web-app/app.tld" prefix="app"%>
<%
jspContext.setAttribute("widgetId", Dijit.nextWidgetId(request));
%>
<jazz:AjaxPage
		dojoModule="${dojoModule}"
		icon="${jazz:webBundleResource('com.ibm.team.repository.web/jazz.ico')}"
		bodyClass="${bodyClass}"
		title="${pageTitle}">
	<div dojoType="${dojoModule}"
			serverTemplated="true"
			id="${widgetId}">
		<internal:PageTemplate
				bannerIcon="${bannerIcon}"
				homeLink="${bannerHomeLink}"
				bannerTitle="${bannerTitle}">
			<jsp:attribute name="title">
				<a href="#" title="About the Server" dojoAttachEvent="onclick:_openAboutBox:${widgetId}">
					${applicationName} (${applicationInstance})
				</a>
			</jsp:attribute>
			<jsp:attribute name="bannerRight">
				<app:LogoutArea/>
			</jsp:attribute>
			<jsp:attribute name="navbar">
				<app:CustomNavbar applicationId="${applicationId}" jazzAttachPoint="_navbar:${widgetId}"/>
			</jsp:attribute>
			<jsp:body>
				<jsp:doBody/>
			</jsp:body>
		</internal:PageTemplate>
	</div>
</jazz:AjaxPage>
