<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template name="lineBreak">
        <xsl:param name="stringToBeBreakLine"/>
        <xsl:choose>
            <xsl:when test="contains($stringToBeBreakLine,'&#10;')">
                <xsl:value-of select="substring-before($stringToBeBreakLine,'&#10;')"/><br/>
                <xsl:call-template name="lineBreak">
                    <xsl:with-param name="stringToBeBreakLine" select="substring-after($stringToBeBreakLine,'&#10;')"/>
                </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:value-of select="$stringToBeBreakLine"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>