/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.process.authoring.web.common.common.internal.ProcessAuthoringConstants"); //$NON-NLS-1$
	
	dojo.require("net.jazz.ajax.contextRoot"); //$NON-NLS-1$
	dojo.require("net.jazz.ajax.BootstrapProperties"); //$NON-NLS-1$
	dojo.require("com.ibm.team.process.authoring.web.common.client.internal.RestApis"); //$NON-NLS-1$
	
	var ProcessAuthoringConstants = com.ibm.team.process.authoring.web.common.common.internal.ProcessAuthoringConstants;
	var RestApis = com.ibm.team.process.authoring.web.common.client.internal.RestApis;
	
	ProcessAuthoringConstants.ROOTSERVICESXML = net.jazz.ajax.contextRoot() + "/rootservices"; //$NON-NLS-1$
	ProcessAuthoringConstants.PRACTICELIBRARY_APPID = "http://jazz.net/application/pl";	//$NON-NLS-1$
	ProcessAuthoringConstants.PRACTICELIBRARY_CONTEXT = "/pl";	//$NON-NLS-1$
	ProcessAuthoringConstants.NAMESPACE_RDF = "http://www.w3.org/1999/02/22-rdf-syntax-ns#"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAMESPACE_DC = "http://purl.org/dc/terms/"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAMESPACE_JP = "http://jazz.net/xmlns/prod/jazz/process/1.0/"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAMESPACE_JD = "http://jazz.net/xmlns/prod/jazz/discovery/1.0/"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAMESPACE_JFS = "http://jazz.net/xmlns/prod/jazz/jfs/1.0/"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAMESPACE_JTP = "http://jazz.net/xmlns/prod/jazz/jtp/0.6/"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAMESPACE_XML = "http://www.w3.org/XML/1998/namespace"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_SECTION = "section"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_PRESENTATION = "presentation"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_ELEMENT = "element"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_GROUPING = "grouping"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_PRACTICEELEMENT_ROOT = "PracticeElement"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_PRACTICE_ROOT = "Practice"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_PROCESSDESCRIPTION_ROOT = "ProcessDescription"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_PRACTICE = "practice"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_FIELD = "field"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_TITLE = "title"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_DESCRIPTION = "description"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_RDF = "RDF"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_LINK = "Link"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_SOURCE = "source"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_TARGET = "target"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_SHARED = "shared"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_LANGUAGES = "languages"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_ATTACHMENT = "Attachment"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_ATTACHMENTS = "attachments"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_PATH = "path"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_SIZE = "size"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_SERVICE = "service"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_CREATED_DATE = "created"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_CREATOR = "creator"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_CONTENT = "content"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLELEMENT_OWNER = "owner"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_LANGUAGE = "lang"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_NEW_CREATED = "newCreated"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_LABEL = "label"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_TYPE = "type"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_ID = "ID"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_RESOURCE = "resource"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_ICON = "icon"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_ABOUT = "about"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_NAME = "name"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_SHARED = "shared"; //$NON-NLS-1$
	ProcessAuthoringConstants.XMLATTRIBUTE_TITLE = "title"; //$NON-NLS-1$
	ProcessAuthoringConstants.VALUE_TRUE = "true"; //$NON-NLS-1$
	ProcessAuthoringConstants.FIELDTYPE_RICHTEXT = "rich-text"; //$NON-NLS-1$
	ProcessAuthoringConstants.FIELDTYPE_PLAINTEXT = "plain-text"; //$NON-NLS-1$
	ProcessAuthoringConstants.FIELDTYPE_LINK = "link"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAVIGATORTYPE_ELEMENT = "element"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAVIGATORTYPE_CATEGORY = "category"; //$NON-NLS-1$
	ProcessAuthoringConstants.NAVIGATORTYPE_PRACTICE = "practice"; //$NON-NLS-1$
	ProcessAuthoringConstants.FRAGMENT_TYPE_SECTION = "section"; //$NON-NLS-1$
	ProcessAuthoringConstants.FRAGMENT_TYPE_FIELD = "field"; //$NON-NLS-1$
	ProcessAuthoringConstants.STATUS_NEW = "new"; //$NON-NLS-1$
	ProcessAuthoringConstants.STATUS_DELETE = "delete"; //$NON-NLS-1$
	ProcessAuthoringConstants.STATUS_UPDATE = "update"; //$NON-NLS-1$
	ProcessAuthoringConstants.STATUS_IGNORE = "ignore"; //$NON-NLS-1$
	ProcessAuthoringConstants.STYLE_GRAYTEXT = "graytext"; //$NON-NLS-1$
	ProcessAuthoringConstants.LOCKEDBY_TAG = "locked-by"; //$NON-NLS-1$
	ProcessAuthoringConstants.SC_UNAUTHORIZED = 401;
	ProcessAuthoringConstants.SC_FORBIDDEN = 403;
	ProcessAuthoringConstants.SC_NOT_FOUND = 404;
	ProcessAuthoringConstants.SC_GONE = 410;
	ProcessAuthoringConstants.SC_LOCKED = 423;
	ProcessAuthoringConstants.SC_GATEWAY_TIMEOUT = 504;
	ProcessAuthoringConstants.HEADER_IF_MODIFIED_SINCE = "If-Modified-Since"; //$NON-NLS-1$
	ProcessAuthoringConstants.HEADER_LASTMODIFIED = "Last-Modified"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_RESULTNOTICE = "resultNotice"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_UPDATEDONE = "updateDone"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_LOADDONE = "loadDone"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_LOADDONE_VIEWLET = "loadDone_viewlet"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_LOADDONE_PREFERENCE = "loadDone_preference"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_PRACTICE_LOADED_IN_WORKINGCOPY = "practiceLoadedInWorkingCopy"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_SWITCHFIELD = "switchField"; 	//$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_VIEWMODE = "VIEW_MODE"; 	//$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_EDITMODE = "EDIT_MODE"; 	//$NON-NLS-1$
	ProcessAuthoringConstants.CONTENT_TYPE_APPLICATION_XML = "application/xml"; //$NON-NLS-1$
	ProcessAuthoringConstants.NONE = "none"; //$NON-NLS-1$
	ProcessAuthoringConstants.BLOCK = "block"; //$NON-NLS-1$
	ProcessAuthoringConstants.DIV = "div"; //$NON-NLS-1$
	ProcessAuthoringConstants.EMPTY = ""; //$NON-NLS-1$
	ProcessAuthoringConstants.INLINE = "inline"; //$NON-NLS-1$
	ProcessAuthoringConstants.BR = "br"; //$NON-NLS-1$
	ProcessAuthoringConstants.CSS_HIDE = "hide"; //$NON-NLS-1$
	ProcessAuthoringConstants.CSS_HIDE_OCCUPY = "hide_occupy"; //$NON-NLS-1$
	
	ProcessAuthoringConstants.EVENT_CLICK = "onclick"; //$NON-NLS-1$
	ProcessAuthoringConstants.EVENT_BLUR = "onblur"; //$NON-NLS-1$
	
	ProcessAuthoringConstants.EditorMode = {
		PREVIEW: "Preview", //$NON-NLS-1$
		EDIT: "Edit", //$NON-NLS-1$
		NEW: "new" //$NON-NLS-1$
	};
	
	ProcessAuthoringConstants.NodeType = {
		ELEMENT: 1,
		ATTRIBUTE: 2,
		TEXT: 3,
		COMMENT: 8,
		DOCUMENT: 9
	};
	
	ProcessAuthoringConstants.getJtsPracticeLibraryUrl = function() {
		var discoverySvcUrl = net.jazz.ajax.BootstrapProperties.DISCOVERYSERVICE_URL;
		var index = discoverySvcUrl.lastIndexOf('/'); //$NON-NLS-1$
		if(index == discoverySvcUrl.length - 1) {
			index = discoverySvcUrl.lastIndexOf('/', index); //$NON-NLS-1$
		}
		var jtsUriRoot =  discoverySvcUrl.substring(0, index);
		if (RestApis.PRACTICE_LIBRARY_URL.indexOf(jtsUriRoot) == 0) {
			return RestApis.PRACTICE_LIBRARY_URL;
		} else {
			return jtsUriRoot + RestApis.PRACTICE_LIBRARY_URL.substring(net.jazz.ajax.BootstrapProperties.FRONTSIDE_URL.length);
		}
	};
	
	ProcessAuthoringConstants.PUBLISHTYPE_PERMISSTION_CHECK_DONE = "permissionCheckDone"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_PRACTICES_LOAD_DONE = "practicesLoadDone"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_LINK_ACTION_READY = "linkActionReady"; //$NON-NLS-1$
	ProcessAuthoringConstants.PUBLISHTYPE_RESIZE_NAVIGATOR = "RESIZE_NAVIGATOR"; //$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_PD_RESOURCE = "ProcessDescriptionResource"; //$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_PD_OWNER = "ownerURL"; //$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_PD_OWNER_NAME = "ownerName"; //$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_ASSOCIATED_PD_URL = "associatedProcessDescriptionURL"; //$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_PD_SHARED = "isShared";	//$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_PRACTICE_RESOURCE = "PracticeResource"; //$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_PROCESS_LOCALE = "ProcessLocale"; //$NON-NLS-1$
	ProcessAuthoringConstants.PREFS_PD_DISCARDTYPE = "DiscardType"; //$NON-NLS-1$
	ProcessAuthoringConstants.ENABLELOCK = "enablelock";	//$NON-NLS-1$
	ProcessAuthoringConstants.PROJECT_AREA = "PROJECT_AREA";	//$NON-NLS-1$
	ProcessAuthoringConstants.TEAM_AREA = "TEAM_AREA";	//$NON-NLS-1$
	ProcessAuthoringConstants.PROCESS_TEMPLATE = "PROCESS_TEMPLATE";	//$NON-NLS-1$
	ProcessAuthoringConstants.CONTRIBUTOR = "CONTRIBUTOR";	//$NON-NLS-1$
	/////////////////////////////////////////////////
	ProcessAuthoringConstants.PROCESS_AUTHORING_READ_SHARED_SUPPORT = "readShared"; //$NON-NLS-1$
	ProcessAuthoringConstants.PROCESS_AUTHORING_WRITE_PRIVATE_SUPPORT = "writePrivate"; //$NON-NLS-1$
	ProcessAuthoringConstants.PROCESS_AUTHORING_WRITE_SHARED_SUPPORT = "writeShared"; //$NON-NLS-1$
	ProcessAuthoringConstants.PROCESS_AUTHORING_OPERATION_ID_PREFIX = "com.ibm.team.processauthoring."; //$NON-NLS-1$
	ProcessAuthoringConstants.DISCARD_ACTION = "discard"; //$NON-NLS-1$
	ProcessAuthoringConstants.UPDATE_ACTION = "update"; //$NON-NLS-1$
	ProcessAuthoringConstants.ASSOCIATE_ACTION = "associate"; //$NON-NLS-1$
	ProcessAuthoringConstants.PROCESSDESCRIPTION_PROJECT_AREA_OWNER_TEMPLATE = "${0}/process/project-areas/${1}"; //$NON-NLS-1$
	ProcessAuthoringConstants.PROCESSDESCRIPTION_TEAM_AREA_OWNER_TEMPLATE = "${0}/process/project-areas/${1}/team-areas/${2}"; //$NON-NLS-1$
	ProcessAuthoringConstants.DETAILEDITOR_CONTAINER_DEFAULT = 0;
	ProcessAuthoringConstants.DETAILEDITOR_CONTAINER_PRACTICECONTENT = 1;
	ProcessAuthoringConstants.PROCESS_AUTHORING_URI_PART = "/" + RestApis.PROCESS_AUTHORING_SERVICE_ALIAS + "/"; //$NON-NLS-1$ //$NON-NLS-2$
	ProcessAuthoringConstants.PROCESS_AUTHORING_URI_PART_WITHOUT_SLASH = "/" + RestApis.PROCESS_AUTHORING_SERVICE_ALIAS; //$NON-NLS-1$
	ProcessAuthoringConstants.DETAILEDITOR_CHECKBOXTYPE_HIDE = 0;
	ProcessAuthoringConstants.DETAILEDITOR_CHECKBOXTYPE_CHECKED = 1;
	ProcessAuthoringConstants.DETAILEDITOR_CHECKBOXTYPE_UNCHECKED = 2;
	ProcessAuthoringConstants.DISCARDTYPE_BACKTOSTART = "backtostartlink"; //$NON-NLS-1$
	ProcessAuthoringConstants.DISCARDTYPE_OWNER = "discardownerlink"; //$NON-NLS-1$
	ProcessAuthoringConstants.DISCARDTYPE_ASSOCIATION = "discardassociatelink"; //$NON-NLS-1$
	ProcessAuthoringConstants.DIALOG_MIN_WIDTH_ON_IE = 18;
	ProcessAuthoringConstants.WARNING_SOURCE_PROCESS_AUTHORING_LICENSE = "ProcessAuthoringLicense"; //$NON-NLS-1$
	ProcessAuthoringConstants.NODETYPE_ELEMENT = 1;
	ProcessAuthoringConstants.VIEWTYPE_REFERENCE = "reference"; //$NON-NLS-1$
	ProcessAuthoringConstants.PRACTICE_ELEMENTS = "elements"; //$NON-NLS-1$
	ProcessAuthoringConstants.PROCESS_TEMPLATE_URI_PART = "/process/templates/"; //$NON-NLS-1$
	
	// CSS classes
	ProcessAuthoringConstants.SHARED_PRACTICE_ICON_CLASS = "sharedPracticeIcon"; //$NON-NLS-1$
	ProcessAuthoringConstants.PRIVATE_PRACTICE_ICON_CLASS = "privatePracticeIcon"; //$NON-NLS-1$
	ProcessAuthoringConstants.CATEGORY_OPEN_ICON_CLASS = "categoryOpenIcon"; //$NON-NLS-1$
	ProcessAuthoringConstants.CATEGORY_CLOSED_ICON_CLASS = "categoryClosedIcon"; //$NON-NLS-1$
	ProcessAuthoringConstants.PRACTICE_ELEMENT_ICON_CLASS = "practiceElementIcon"; //$NON-NLS-1$
	
})();
