DROP TRIGGER RIODS.TRG_REQITSTCD;
DROP TRIGGER RIODS.TRG_REQITPLND;
DROP VIEW RIDW.VW_PROJECT_TYPE;
CREATE VIEW RIDW.VW_PROJECT_TYPE (PROJECT_TYPE_ID, EXTERNAL_ID, REFERENCE_ID, NAME, PROJECT_ID, PROJECT_NAME, PROJECT_WKCFG_ID, PROJECT_WORKCONFIGURATION_NAME, RECORD_TYPE, URL,EXTERNAL_KEY1,EXTERNAL_KEY2,REC_DATETIME,ISSOFTDELETED) AS (SELECT PT.PROJECT_TYPE_ID, PT.EXTERNAL_ID, PT.REFERENCE_ID, PT.NAME, PT.PROJECT_ID, P.NAME AS PROJECT_NAME, COALESCE(PWC.PROJECT_WKCFG_ID,-1) AS PROJECT_WKCFG_ID, COALESCE(PWC.NAME,'Info not available') AS PROJECT_WORKCONFIGURATION_NAME, PT.RECORD_TYPE, PT.URL,PT.EXTERNAL_KEY1,PT.EXTERNAL_KEY2,PT.REC_DATETIME,PT.ISSOFTDELETED FROM RIODS.PROJECT_TYPE PT JOIN RIODS.PROJECT P ON P.PROJECT_ID=PT.PROJECT_ID LEFT JOIN RIODS.PROJECT_WORKCONFIGURATION PWC ON P.PROJECT_ID=PWC.PROJECT_ID);
GRANT SELECT ON RIDW.VW_PROJECT_TYPE TO REPUSER;        

UPDATE CONFIG.SYSCONFIG_INFO SET INT_VALUE=4, CHAR_VALUE='2.0 RC2' WHERE INFO_ID=18;