/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'calManagement': "Client Access License Management",
	'usersPageDescription': "You can manage user accounts and licenses on the Users pages in applications or the Jazz Team Server. However, to edit application-specific user settings, use the Users page in the application. Common user information is synchronized between applications and the server.",	
	'pageDescription': "Use this page to see which users have a client access license and to assign licenses.",
	'assignCALs': "Assign Client Access Licenses",
	'name': 'Name',
	'userId': 'User ID',
	'email': 'E-Mail',
	'actionsLabel': "Actions",
	'selectRole': "Select a client access license key:",
	'showingFirstUsers': "(Showing first ${0} users)",
	'searchingForUsers': "Searching for users...",
	'noCALsInstalled': "There are no client access licenses installed in your repository.  You can go to the ${0}License Key Management${1} page to upload new Client Access Licenses.",
	'someNeedActivated': "Some client access licenses have not been activated. Before you can assign these licenses, you must activate them on the ${0}License Key Management${1} page.",
	'assignLicenses': "Assign ${0} Licenses",
	'calDisabled': "This Client Access License is disabled: ${0}",
	'licensesAvailable': "${0} license(s) available",
	'noMatchingUsers': "No matching users found",
	'unassignLicense': "Unassign License",
	'errorAssigning': "An error occurred while assigning licenses to one or more users.",
	'errorUnassigning': "CRJAZ1535E Error unassigning license: ${0}",
	'previous': "Previous",
	'next': "Next",
	'of': "of",
	'selectKey': "Select a key",
	'selectAKeyFirst': "To begin a search, select a license key from the list above.",
	'itemsPerPage': "Items per page",
	'reassignAll': "Reassign All"
})	
