/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.process.authoring.web.common.ui.internal.editors.AuthoringAccordionButton"); //$NON-NLS-1$
	dojo.declare("com.ibm.team.process.authoring.web.common.ui.internal.editors.AuthoringAccordionButton", [dijit.layout._AccordionButton], { //$NON-NLS-1$
		_handleFocus: function(/*Event*/e) {
			if (this.contentWidget.disabled) {
				return;
			}
			this.inherited(arguments);
		},
		
		_onTitleEnter: function() {
			if (this.contentWidget.disabled) {
				dojo.toggleClass(this.focusNode, "authoringAccordionTitle", true); //$NON-NLS-1$
				return;
			} else {
				dojo.toggleClass(this.focusNode, "authoringAccordionTitle", false); //$NON-NLS-1$
			}
			this.inherited(arguments);
		},
		
		_onTitleLeave: function() {
			if (this.contentWidget.disabled) {
				return;
			}
			this.inherited(arguments);
		},
		
		_onTitleClick: function() {
			if (this.contentWidget.disabled) {
				return;
			}
			this.inherited(arguments);
		}
	});
})();
