/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.process.authoring.web.common.ui.internal.editors.ProcessDescriptionTree"); //$NON-NLS-1$
	dojo.require("com.ibm.team.process.authoring.web.common.ui.internal.editors.PracticeTree"); //$NON-NLS-1$
	
	dojo.declare("com.ibm.team.process.authoring.web.common.ui.internal.editors.ProcessDescriptionTree", com.ibm.team.process.authoring.web.common.ui.internal.editors.PracticeTree, { //$NON-NLS-1$
		getIconStyle: function(item, opened) {
			if(item.icon) {
				return {
					backgroundImage: item.icon,
					width: "16px", //$NON-NLS-1$ 
					height: "16px" //$NON-NLS-1$
				};
			}
			return this.inherited(arguments);
		}
	});
})();
