/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
/*
 * NOTE: Please do not change or remove any tags (e.g. "<0>text</0>"). They are used to
 * denote hyperlinks and style.
 */
({
	
	// Operational Error Messages - Messages	
	
	'errorItems': "CRRDV0002E The number of items to show '${0}' is invalid.",
	'errorItems_explanation': "The specified number of items to show must be a positive number.",
	'errorItems_useraction': "Open the widget settings area and specify a valid number of items to show.",
	// Last UA edit: 2/27/2012
	
	// Operational Error Messages - Tooltip	

	'errorTooltip': "CRRDV0003E The tooltip contents cannot be displayed because the corresponding feed data could not be retrieved from the server.",
	'errorTooltip_explanation': "The server encountered an unexpected error that prevented it from retrieving the feed data.",
	'errorTooltip_useraction': "To find more details about this issue, open the JavaScript console of your browser by pressing F12, hover over the problematic feed entry again, and check the JavaScript console for any resulting errors.",
	// Last UA edit: 2/27/2012
	
	// General
	'titleNew': "${0} new", // ${0} = number; shows how many new items there are, e.g. "5 new".
	'titleNewsFeed': "News Feed",
	
	// Menu
	'markAllRead': "Mark All Read",
	'markAllUnread': "Mark All Unread",
	
	// Messages
	'loading': "Loading...",
	'noURL': "No feed URL specified.",
	'editSettings': "To set one, select <0>Edit Settings</0> from the widget menu.",
	'noItems': "There are no entries in the specified feed.",
	'noDesc': "No description available",
	
	// Tooltip
	'toggleReadState': "Toggle Read State",
	'prevPage': "Previous Page",
	'nextPage': "Next Page",
	'onDate': "On ${0}" // ${0} = date; e.g. "On August 7, 2008"
		
})
