<%--
Licensed Materials - Property of IBM
(c) Copyright IBM Corporation 2011. All Rights Reserved.
Note to U.S. Government Users Restricted Rights:  Use,
duplication or disclosure restricted by GSA ADP Schedule 
Contract with IBM Corp.
--%>
<%@tag language="java" pageEncoding="UTF-8"
import="com.ibm.team.dashboard.service.internal.PersonalDashboardPage"
import="net.jazz.web.jsp.Dijit"
%>
<%@ attribute name="productName" description="Unescaped string"%>
<%@ attribute name="productTitleImg" %>
<%@ attribute name="bannerTitle" required="true" %>
<%@ attribute name="dashboard" required="true" type="com.ibm.team.dashboard.service.internal.jfs.DashboardResource"%>

<%@ taglib uri="/WEB-INF/net.jazz.web/core.tld" prefix="jazz"%>
<%@ taglib uri="/WEB-INF/net.jazz.web/app.tld" prefix="app"%>
<%@ taglib uri="/WEB-INF/jazz/ui.tld" prefix="ui"%>
<%@ taglib tagdir="/WEB-INF/tags/dashboards" prefix="dashboards"%>

<%
jspContext.setAttribute("widgetId", Dijit.nextWidgetId(request));
%>

<div dojoType="com.ibm.team.jfs.web.ui.internal.PersonalDashboardsApplication"
		serverTemplated="true"
		id="${widgetId}">
	<ui:PageTemplate dojoAttachPoint="ui"
			bannerIcon="${jazz:webBundleResource('com.ibm.team.dashboard.web/graphics/Dashboard/icons/all-dash-24.png')}"
			bannerTitle="${bannerTitle}">
		<jsp:attribute name="title">
			<a href="#" title="About the Server" dojoAttachEvent="onclick:_openAboutBox:${widgetId}">
				${applicationName} (${applicationInstance})
			</a>
		</jsp:attribute>
		<jsp:attribute name="bannerRight">
			<app:LogoutArea/>
		</jsp:attribute>
		<jsp:attribute name="navbar">
			<app:CustomNavbar applicationId="com.ibm.team.jfs.web.personalDashboards"/>
		</jsp:attribute>
		<jsp:body>
			<dashboards:Dashboard dashboard="${dashboard}"/>
		</jsp:body>
	</ui:PageTemplate>
</div>
