/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.process.authoring.web.common.common.internal.LanguageJsonData"); //$NON-NLS-1$
	dojo.requireLocalization("com.ibm.team.process.authoring.web.common.ui.internal.editors", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$	 

	com.ibm.team.process.authoring.web.common.common.internal.LanguageJsonData = {
		messages: dojo.i18n.getLocalization("com.ibm.team.process.authoring.web.common.ui.internal.editors", "Messages"),//$NON-NLS-1$ //$NON-NLS-2$
		getLanguageJsonData: function() {
			return languageJsonData = {
				identifier: "langCode", //$NON-NLS-1$
				label: "label", //$NON-NLS-1$
				items: [{
					langCode: "ab", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_0 + "[ab]" //$NON-NLS-1$
				}, {
					langCode: "afar", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_1 + "[afar]" //$NON-NLS-1$
				}, {
					langCode: "af", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_2 + "[af]" //$NON-NLS-1$
				}, {
					langCode: "sq", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_3 + "[sq]" //$NON-NLS-1$
				}, {
					langCode: "am", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_4 + "[am]" //$NON-NLS-1$
				}, {
					langCode: "ar", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_5 + "[ar]" //$NON-NLS-1$
				}, {
					langCode: "ar-dz", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_6 + "[ar-dz]" //$NON-NLS-1$
				}, {
					langCode: "ar-bh", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_7 + "[ar-bh]" //$NON-NLS-1$
				}, {
					langCode: "ar-eg", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_8 + "[ar-eg]" //$NON-NLS-1$
				}, {
					langCode: "ar-iq", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_9 + "[ar-iq]" //$NON-NLS-1$
				}, {
					langCode: "ar-jo", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_10 + "[ar-jo]" //$NON-NLS-1$
				}, {
					langCode: "ar-kw", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_11 + "[ar-kw]" //$NON-NLS-1$
				}, {
					langCode: "ar-lb", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_12 + "[ar-lb]" //$NON-NLS-1$
				}, {
					langCode: "ar-ly", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_13 + "[ar-ly]" //$NON-NLS-1$
				}, {
					langCode: "ar-ma", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_14 + "[ar-ma]" //$NON-NLS-1$
				}, {
					langCode: "ar-om", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_15 + "[ar-om]" //$NON-NLS-1$
				}, {
					langCode: "ar-qa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_16 + "[ar-qa]" //$NON-NLS-1$
				}, {
					langCode: "ar-sa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_17 + "[ar-sa]" //$NON-NLS-1$
				}, {
					langCode: "ar-sy", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_18 + "[ar-sy]" //$NON-NLS-1$
				}, {
					langCode: "ar-tn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_19 + "[ar-tn]" //$NON-NLS-1$
				}, {
					langCode: "ar-ae", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_20 + "[ar-ae]" //$NON-NLS-1$
				}, {
					langCode: "ar-ye", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_21 + "[ar-ye]" //$NON-NLS-1$
				}, {
					langCode: "hy", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_22 + "[hy]" //$NON-NLS-1$
				}, {
					langCode: "as", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_23 + "[as]" //$NON-NLS-1$
				}, {
					langCode: "avestan", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_24 + "[avestan]" //$NON-NLS-1$
				}, {
					langCode: "ay", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_25 + "[ay]" //$NON-NLS-1$
				}, {
					langCode: "az", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_26 + "[az]" //$NON-NLS-1$
				}, {
					langCode: "bashkir", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_27 + "[bashkir]" //$NON-NLS-1$
				}, {
					langCode: "eu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_28 + "[eu]" //$NON-NLS-1$
				}, {
					langCode: "be", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_29 + "[be]" //$NON-NLS-1$
				}, {
					langCode: "bn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_30 + "[bn]" //$NON-NLS-1$
				}, {
					langCode: "bihari", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_31 + "[bihari]" //$NON-NLS-1$
				}, {
					langCode: "bislama", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_32 + "[bislama]" //$NON-NLS-1$
				}, {
					langCode: "bs", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_33 + "[bs]" //$NON-NLS-1$
				}, {
					langCode: "br", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_34 + "[br]" //$NON-NLS-1$
				}, {
					langCode: "bg", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_35 + "[bg]" //$NON-NLS-1$
				}, {
					langCode: "my", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_36 + "[my]" //$NON-NLS-1$
				}, {
					langCode: "ca", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_37 + "[ca]" //$NON-NLS-1$
				}, {
					langCode: "ch", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_38 + "[ch]" //$NON-NLS-1$
				}, {
					langCode: "ce", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_39 + "[ce]" //$NON-NLS-1$
				}, {
					langCode: "ny", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_40 + "[ny]" //$NON-NLS-1$
				}, {
					langCode: "zh", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_41 + "[zh]" //$NON-NLS-1$
				}, {
					langCode: "zh-cn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_42 + "[zh-cn]" //$NON-NLS-1$
				}, {
					langCode: "zh-hk", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_43 + "[zh-hk]" //$NON-NLS-1$
				}, {
					langCode: "zh-mo", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_44 + "[zh-mo]" //$NON-NLS-1$
				}, {
					langCode: "zh-sg", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_45 + "[zh-sg]" //$NON-NLS-1$
				}, {
					langCode: "zh-tw", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_46 + "[zh-tw]" //$NON-NLS-1$
				}, {
					langCode: "chuang", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_47 + "[chuang]" //$NON-NLS-1$
				}, {
					langCode: "slavic", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_48 + "[slavic]" //$NON-NLS-1$
				}, {
					langCode: "cv", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_49 + "[cv]" //$NON-NLS-1$
				}, {
					langCode: "cornish", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_50 + "[cornish]" //$NON-NLS-1$
				}, {
					langCode: "co", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_51 + "[co]" //$NON-NLS-1$
				}, {
					langCode: "hr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_52 + "[hr]" //$NON-NLS-1$
				}, {
					langCode: "cs", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_53 + "[cs]" //$NON-NLS-1$
				}, {
					langCode: "da", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_54 + "[da]" //$NON-NLS-1$
				}, {
					langCode: "nl", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_55 + "[nl]" //$NON-NLS-1$
				}, {
					langCode: "nl-be", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_56 + "[nl-be]" //$NON-NLS-1$
				}, {
					langCode: "dzongkha", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_57 + "[dzongkha]" //$NON-NLS-1$
				}, {
					langCode: "en", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_58 + "[en]" //$NON-NLS-1$
				}, {
					langCode: "en-au", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_59 + "[en-au]" //$NON-NLS-1$
				}, {
					langCode: "en-bz", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_60 + "[en-bz]" //$NON-NLS-1$
				}, {
					langCode: "en-ca", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_61 + "[en-ca]" //$NON-NLS-1$
				}, {
					langCode: "en-ie", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_62 + "[en-ie]" //$NON-NLS-1$
				}, {
					langCode: "en-jm", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_63 + "[en-jm]" //$NON-NLS-1$
				}, {
					langCode: "en-nz", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_64 + "[en-nz]" //$NON-NLS-1$
				}, {
					langCode: "en-ph", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_65 + "[en-ph]" //$NON-NLS-1$
				}, {
					langCode: "en-za", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_66 + "[en-za]" //$NON-NLS-1$
				}, {
					langCode: "en-tt", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_67 + "[en-tt]" //$NON-NLS-1$
				}, {
					langCode: "en-gb", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_68 + "[en-gb]" //$NON-NLS-1$
				}, {
					langCode: "en-us", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_69 + "[en-us]" //$NON-NLS-1$
				}, {
					langCode: "en-zw", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_70 + "[en-zw]" //$NON-NLS-1$
				}, {
					langCode: "eo", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_71 + "[eo]" //$NON-NLS-1$
				}, {
					langCode: "et", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_72 + "[et]" //$NON-NLS-1$
				}, {
					langCode: "fo", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_73 + "[fo]" //$NON-NLS-1$
				}, {
					langCode: "fj", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_74 + "[fj]" //$NON-NLS-1$
				}, {
					langCode: "filipino", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_75 + "[filipino]" //$NON-NLS-1$
				}, {
					langCode: "fi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_76 + "[fi]" //$NON-NLS-1$
				}, {
					langCode: "fr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_77 + "[fr]" //$NON-NLS-1$
				}, {
					langCode: "fr-be", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_78 + "[fr-be]" //$NON-NLS-1$
				}, {
					langCode: "fr-ca", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_79 + "[fr-ca]" //$NON-NLS-1$
				}, {
					langCode: "fr-lu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_80 + "[fr-lu]" //$NON-NLS-1$
				}, {
					langCode: "fr-mc", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_81 + "[fr-mc]" //$NON-NLS-1$
				}, {
					langCode: "fr-ch", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_82 + "[fr-ch]" //$NON-NLS-1$
				}, {
					langCode: "fy", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_83 + "[fy]" //$NON-NLS-1$
				}, {
					langCode: "gallegan", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_84 + "[gallegan]" //$NON-NLS-1$
				}, {
					langCode: "ka", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_85 + "[ka]" //$NON-NLS-1$
				}, {
					langCode: "de", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_86 + "[de]" //$NON-NLS-1$
				}, {
					langCode: "de-at", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_87 + "[de-at]" //$NON-NLS-1$
				}, {
					langCode: "de-li", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_88 + "[de-li]" //$NON-NLS-1$
				}, {
					langCode: "de-lu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_89 + "[de-lu]" //$NON-NLS-1$
				}, {
					langCode: "de-ch", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_90 + "[de-ch]" //$NON-NLS-1$
				}, {
					langCode: "el", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_91 + "[el]" //$NON-NLS-1$
				}, {
					langCode: "gn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_92 + "[gn]" //$NON-NLS-1$
				}, {
					langCode: "gu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_93 + "[gu]" //$NON-NLS-1$
				}, {
					langCode: "hausa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_94 + "[hausa]" //$NON-NLS-1$
				}, {
					langCode: "he", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_95 + "[he]" //$NON-NLS-1$
				}, {
					langCode: "herero", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_96 + "[herero]" //$NON-NLS-1$
				}, {
					langCode: "hi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_97 + "[hi]" //$NON-NLS-1$
				}, {
					langCode: "hiri-motu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_98 + "[hiri-motu]" //$NON-NLS-1$
				}, {
					langCode: "hu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_99 + "[hu]" //$NON-NLS-1$
				}, {
					langCode: "is", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_100 + "[is]" //$NON-NLS-1$
				}, {
					langCode: "ido", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_101 + "[ido]" //$NON-NLS-1$
				}, {
					langCode: "id", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_102 + "[id]" //$NON-NLS-1$
				}, {
					langCode: "ia", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_103 + "[ia]" //$NON-NLS-1$
				}, {
					langCode: "ie", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_104 + "[ie]" //$NON-NLS-1$
				}, {
					langCode: "iu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_105 + "[iu]" //$NON-NLS-1$
				}, {
					langCode: "inupiaq", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_106 + "[inupiaq]" //$NON-NLS-1$
				}, {
					langCode: "ga", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_107 + "[ga]" //$NON-NLS-1$
				}, {
					langCode: "it", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_108 + "[it]" //$NON-NLS-1$
				}, {
					langCode: "it-ch", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_109 + "[it-ch]" //$NON-NLS-1$
				}, {
					langCode: "ja", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_110 + "[ja]" //$NON-NLS-1$
				}, {
					langCode: "javanese", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_111 + "[javanese]" //$NON-NLS-1$
				}, {
					langCode: "kalaallisut", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_112 + "[kalaallisut]" //$NON-NLS-1$
				}, {
					langCode: "kn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_113 + "[kn]" //$NON-NLS-1$
				}, {
					langCode: "ks", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_114 + "[ks]" //$NON-NLS-1$
				}, {
					langCode: "kk", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_115 + "[kk]" //$NON-NLS-1$
				}, {
					langCode: "km", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_116 + "[km]" //$NON-NLS-1$
				}, {
					langCode: "kikuyu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_117 + "[kikuyu]" //$NON-NLS-1$
				}, {
					langCode: "rw", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_118 + "[rw]" //$NON-NLS-1$
				}, {
					langCode: "ky", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_119 + "[ky]" //$NON-NLS-1$
				}, {
					langCode: "komi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_120 + "[komi]" //$NON-NLS-1$
				}, {
					langCode: "ko", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_121 + "[ko]" //$NON-NLS-1$
				}, {
					langCode: "kwanyama", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_122 + "[kwanyama]" //$NON-NLS-1$
				}, {
					langCode: "ku", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_123 + "[ku]" //$NON-NLS-1$
				}, {
					langCode: "lao", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_124 + "[lao]" //$NON-NLS-1$
				}, {
					langCode: "la", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_125 + "[la]" //$NON-NLS-1$
				}, {
					langCode: "lv", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_126 + "[lv]" //$NON-NLS-1$
				}, {
					langCode: "luxembourgish", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_127 + "[luxembourgish]" //$NON-NLS-1$
				}, {
					langCode: "ln", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_128 + "[ln]" //$NON-NLS-1$
				}, {
					langCode: "lt", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_129 + "[lt]" //$NON-NLS-1$
				}, {
					langCode: "mk", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_130 + "[mk]" //$NON-NLS-1$
				}, {
					langCode: "mg", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_131 + "[mg]" //$NON-NLS-1$
				}, {
					langCode: "ms", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_132 + "[ms]" //$NON-NLS-1$
				}, {
					langCode: "ms-bn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_133 + "[ms-bn]" //$NON-NLS-1$
				}, {
					langCode: "ms-my", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_134 + "[ms-my]" //$NON-NLS-1$
				}, {
					langCode: "ml", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_135 + "[ml]" //$NON-NLS-1$
				}, {
					langCode: "mt", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_136 + "[mt]" //$NON-NLS-1$
				}, {
					langCode: "gv", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_137 + "[gv]" //$NON-NLS-1$
				}, {
					langCode: "mi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_138 + "[mi]" //$NON-NLS-1$
				}, {
					langCode: "mr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_139 + "[mr]" //$NON-NLS-1$
				}, {
					langCode: "mh", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_140 + "[mh]" //$NON-NLS-1$
				}, {
					langCode: "md", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_141 + "[md]" //$NON-NLS-1$
				}, {
					langCode: "mn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_142 + "[mn]" //$NON-NLS-1$
				}, {
					langCode: "na", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_143 + "[na]" //$NON-NLS-1$
				}, {
					langCode: "nv", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_144 + "[nv]" //$NON-NLS-1$
				}, {
					langCode: "nd", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_145 + "[nd]" //$NON-NLS-1$
				}, {
					langCode: "nr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_146 + "[nr]" //$NON-NLS-1$
				}, {
					langCode: "ng", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_147 + "[ng]" //$NON-NLS-1$
				}, {
					langCode: "ne", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_148 + "[ne]" //$NON-NLS-1$
				}, {
					langCode: "sami", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_149 + "[sami]" //$NON-NLS-1$
				}, {
					langCode: "no", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_150 + "[no]" //$NON-NLS-1$
				}, {
					langCode: "nb", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_151 + "[nb]" //$NON-NLS-1$
				}, {
					langCode: "nn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_152 + "[nn]" //$NON-NLS-1$
				}, {
					langCode: "oc", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_153 + "[oc]" //$NON-NLS-1$
				}, {
					langCode: "or", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_154 + "[or]" //$NON-NLS-1$
				}, {
					langCode: "om", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_155 + "[om]" //$NON-NLS-1$
				}, {
					langCode: "ossetic", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_156 + "[ossetic]" //$NON-NLS-1$
				}, {
					langCode: "pali", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_157 + "[pali]" //$NON-NLS-1$
				}, {
					langCode: "fa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_158 + "[fa]" //$NON-NLS-1$
				}, {
					langCode: "pl", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_159 + "[pl]" //$NON-NLS-1$
				}, {
					langCode: "pt", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_160 + "[pt]" //$NON-NLS-1$
				}, {
					langCode: "pt-br", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_161 + "[pt-br]" //$NON-NLS-1$
				}, {
					langCode: "pa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_162 + "[pa]" //$NON-NLS-1$
				}, {
					langCode: "pushto", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_163 + "[pushto]" //$NON-NLS-1$
				}, {
					langCode: "qu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_164 + "[qu]" //$NON-NLS-1$
				}, {
					langCode: "rm", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_165 + "[rm]" //$NON-NLS-1$
				}, {
					langCode: "ro", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_166 + "[ro]" //$NON-NLS-1$
				}, {
					langCode: "ro-md", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_167 + "[ro-md]" //$NON-NLS-1$
				}, {
					langCode: "rundi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_168 + "[rundi]" //$NON-NLS-1$
				}, {
					langCode: "ru", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_169 + "[ru]" //$NON-NLS-1$
				}, {
					langCode: "ru-md", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_170 + "[ru-md]" //$NON-NLS-1$
				}, {
					langCode: "sm", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_171 + "[sm]" //$NON-NLS-1$
				}, {
					langCode: "sg", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_172 + "[sg]" //$NON-NLS-1$
				}, {
					langCode: "sa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_173 + "[sa]" //$NON-NLS-1$
				}, {
					langCode: "sc", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_174 + "[sc]" //$NON-NLS-1$
				}, {
					langCode: "gd", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_175 + "[gd]" //$NON-NLS-1$
				}, {
					langCode: "sr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_176 + "[sr]" //$NON-NLS-1$
				}, {
					langCode: "shona", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_177 + "[shona]" //$NON-NLS-1$
				}, {
					langCode: "sd", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_178 + "[sd]" //$NON-NLS-1$
				}, {
					langCode: "si", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_179 + "[si]" //$NON-NLS-1$
				}, {
					langCode: "sk", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_180 + "[sk]" //$NON-NLS-1$
				}, {
					langCode: "sl", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_181 + "[sl]" //$NON-NLS-1$
				}, {
					langCode: "so", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_182 + "[so]" //$NON-NLS-1$
				}, {
					langCode: "sorbian", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_183 + "[sorbian]" //$NON-NLS-1$
				}, {
					langCode: "st", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_184 + "[st]" //$NON-NLS-1$
				}, {
					langCode: "es-ar", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_185 + "[es-ar]" //$NON-NLS-1$
				}, {
					langCode: "es-bo", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_186 + "[es-bo]" //$NON-NLS-1$
				}, {
					langCode: "es-cl", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_187 + "[es-cl]" //$NON-NLS-1$
				}, {
					langCode: "es-co", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_188 + "[es-co]" //$NON-NLS-1$
				}, {
					langCode: "es-cr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_189 + "[es-cr]" //$NON-NLS-1$
				}, {
					langCode: "es-do", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_190 + "[es-do]" //$NON-NLS-1$
				}, {
					langCode: "es-ec", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_191 + "[es-ec]" //$NON-NLS-1$
				}, {
					langCode: "es-sv", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_192 + "[es-sv]" //$NON-NLS-1$
				}, {
					langCode: "es-gt", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_193 + "[es-gt]" //$NON-NLS-1$
				}, {
					langCode: "es-hn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_194 + "[es-hn]" //$NON-NLS-1$
				}, {
					langCode: "es-mx", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_195 + "[es-mx]" //$NON-NLS-1$
				}, {
					langCode: "es-ni", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_196 + "[es-ni]" //$NON-NLS-1$
				}, {
					langCode: "es-pa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_197 + "[es-pa]" //$NON-NLS-1$
				}, {
					langCode: "es-py", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_198 + "[es-py]" //$NON-NLS-1$
				}, {
					langCode: "es-pe", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_199 + "[es-pe]" //$NON-NLS-1$
				}, {
					langCode: "es-pr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_200 + "[es-pr]" //$NON-NLS-1$
				}, {
					langCode: "es-uy", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_201 + "[es-uy]" //$NON-NLS-1$
				}, {
					langCode: "es-ve", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_202 + "[es-ve]" //$NON-NLS-1$
				}, {
					langCode: "castilian", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_203 + "[castilian]" //$NON-NLS-1$
				}, {
					langCode: "sundanese", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_204 + "[sundanese]" //$NON-NLS-1$
				}, {
					langCode: "sw", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_205 + "[sw]" //$NON-NLS-1$
				}, {
					langCode: "swati", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_206 + "[swati]" //$NON-NLS-1$
				}, {
					langCode: "sv", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_207 + "[sv]" //$NON-NLS-1$
				}, {
					langCode: "sv-fi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_208 + "[sv-fi]" //$NON-NLS-1$
				}, {
					langCode: "tl", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_209 + "[tl]" //$NON-NLS-1$
				}, {
					langCode: "tahitian", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_210 + "[tahitian]" //$NON-NLS-1$
				}, {
					langCode: "tajik", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_211 + "[tajik]" //$NON-NLS-1$
				}, {
					langCode: "ta", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_212 + "[ta]" //$NON-NLS-1$
				}, {
					langCode: "tt", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_213 + "[tt]" //$NON-NLS-1$
				}, {
					langCode: "te", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_214 + "[te]" //$NON-NLS-1$
				}, {
					langCode: "th", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_215 + "[th]" //$NON-NLS-1$
				}, {
					langCode: "tibetan", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_216 + "[tibetan]" //$NON-NLS-1$
				}, {
					langCode: "ti", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_217 + "[ti]" //$NON-NLS-1$
				}, {
					langCode: "to", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_218 + "[to]" //$NON-NLS-1$
				}, {
					langCode: "ts", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_219 + "[ts]" //$NON-NLS-1$
				}, {
					langCode: "tn", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_220 + "[tn]" //$NON-NLS-1$
				}, {
					langCode: "tr", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_221 + "[tr]" //$NON-NLS-1$
				}, {
					langCode: "tk", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_222 + "[tk]" //$NON-NLS-1$
				}, {
					langCode: "twi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_223 + "[twi]" //$NON-NLS-1$
				}, {
					langCode: "uighur", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_224 + "[uighur]" //$NON-NLS-1$
				}, {
					langCode: "uk", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_225 + "[uk]" //$NON-NLS-1$
				}, {
					langCode: "ur", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_226 + "[ur]" //$NON-NLS-1$
				}, {
					langCode: "uzbek", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_227 + "[uzbek]" //$NON-NLS-1$
				}, {
					langCode: "vi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_228 + "[vi]" //$NON-NLS-1$
				}, {
					langCode: "vo", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_229 + "[vo]" //$NON-NLS-1$
				}, {
					langCode: "wa", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_230 + "[wa]" //$NON-NLS-1$
				}, {
					langCode: "cy", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_231 + "[cy]" //$NON-NLS-1$
				}, {
					langCode: "wo", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_232 + "[wo]" //$NON-NLS-1$
				}, {
					langCode: "xh", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_233 + "[xh]" //$NON-NLS-1$
				}, {
					langCode: "yi", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_234 + "[yi]" //$NON-NLS-1$
				}, {
					langCode: "yoruba", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_235 + "[yoruba]" //$NON-NLS-1$
				}, {
					langCode: "zu", //$NON-NLS-1$
					label: this.messages.LanguageDialog_MultiLanguage_236 + "[zu]" //$NON-NLS-1$
				}]
			}
		}
	};
})();
