/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("jazz.app.ua.internal.client");

dojo.require("net.jazz.ajax.contextRoot");
dojo.require("jazz.client.xhr");

jazz.app.ua.internal.client.getContent = function (id) {
	return jazz.client.xhrGet({
		url: net.jazz.ajax.contextRoot() + "/_ua/content/" + id
	});
};

jazz.app.ua.internal.client.getTopicPrefix = function (id) {
	var dfd = jazz.client.xhrGet({
		url: net.jazz.ajax.contextRoot() + "/_ua/prefix/" + id
	});
	dfd.addCallback(function (result) {
		return result + "/topic";
	});
	return dfd;
};
