/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.jfs.web.ui.internal.PersonalDashboardsApplication"); //$NON-NLS-1$

dojo.require("dojo.hash");
dojo.require("dojo.i18n");

dojo.require("com.ibm.team.app.web.RepositoryApplication"); //$NON-NLS-1$
dojo.require("net.jazz.ajax.ui.PlatformUI");
dojo.require("net.jazz.ajax.contextRoot");

dojo.requireLocalization("com.ibm.team.jfs.web.ui.internal", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$

var messages = dojo.i18n.getLocalization("com.ibm.team.jfs.web.ui.internal", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.declare("com.ibm.team.jfs.web.ui.internal.PersonalDashboardsApplication", [com.ibm.team.app.web.RepositoryApplication, dijit._Templated], { //$NON-NLS-1$
	widgetsInTemplate: true,
	templateString: "<div></div>", //TODO
	iconLarge: dojo.moduleUrl("com.ibm.team.dashboard.web", "graphics/Dashboard/icons/all-dash-24.png"),
	constructor: function(args) {
		if (args.serverTemplated) {
			this.workbench = net.jazz.ajax.ui.PlatformUI.runWorkbench("com.ibm.team.jfs.web.ui.internal.PersonalDashboardsApplication");
		}
	},
	initContext: function() {
		this.start();
	}
});
})();