/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.rename.schema.ServerRenameSchema");

(function() {

var NAMESPACES = {
	jfs: "http://jazz.net/xmlns/prod/jazz/jfs/1.0/",
	rdf: "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
};

var url = {
	namespaces: NAMESPACES,
	url: ["string", "rdf:Description/@rdf:about", "1"],
	category: ["string", "rdf:Description/jfs:urlCategory", "1"],
	label: ["string", "rdf:Description/jfs:urlLabel", "1"]
};

com.ibm.team.repository.web.ui.internal.admin.rename.schema.ServerRenameSchema = {
	
	verificationUrls: {
		namespaces: NAMESPACES,
		publicUrl: ["string", "rdf:Description/@rdf:about", "1"],
		links: [url, "rdf:Description/jfs:verificationURL", "*"]
	}
}

})();
