/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.process.authoring.web.common.ui.internal.editors.ResourceLinkPickerJazzDialog"); //$NON-NLS-1$
dojo.require("dijit._Widget"); //$NON-NLS-1$
dojo.require("dijit._Templated"); //$NON-NLS-1$
dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.require("dojo.string"); //$NON-NLS-1$
dojo.require("dojox.xml.parser"); //$NON-NLS-1$
dojo.require("jazz.ui.Dialog"); //$NON-NLS-1$
dojo.require("com.ibm.team.process.authoring.web.common.ui.internal.editors.ResourceLinkPickerDialog"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.team.process.authoring.web.common.ui.internal.editors", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$
var ResourceLinkPickerDialog = com.ibm.team.process.authoring.web.common.ui.internal.editors.ResourceLinkPickerDialog;

dojo.declare("com.ibm.team.process.authoring.web.common.ui.internal.editors.ResourceLinkPickerJazzDialog", [ResourceLinkPickerDialog, dijit._Widget, dijit._Templated], { //$NON-NLS-1$
	templatePath: dojo.moduleUrl("com.ibm.team.process.authoring.web.common", "ui/internal/editors/templates/ResourcePickerDialog.html"), //$NON-NLS-1$ //$NON-NLS-2$
	setupObjects: function() {
		this.dialog = new jazz.ui.Dialog({
			contentNode: this.contentNode,
			primaryTitle: this.dialogTitle,
			destroyContents: true,
			width: this.width,
			modal: this.modal
		});
	},
	
	setupConnections: function() {
		this.connect(this.closeButton, "onclick", function(e) { //$NON-NLS-1$
			dojo.stopEvent(e);
			this.dialog.close();
		});
		
		this.connect(this.dialog, "onClose", "_onClose"); //$NON-NLS-1$ //$NON-NLS-2$
		this.inherited(arguments);
	},
	
	postCreate: function() {
		this.init();
	},
	
	_onAddClose: function(e) {
		this._onAdd(e);
		//this.dialog.close();
	},
	
	onClose: function() {
		dojo.disconnect(this.keyStrokeFilter);
	},
	
	uninitialize: function() {
		dojo.forEach(this.resourceGroups, function(resourceGroup) {
			resourceGroup.list = [];
		}, this);
		this.inherited(arguments);
	}
	
});
