/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	// Operational Error Messages
	
	'serverError': "CRRDV0006E The application is not available.",
	'serverError_explanation': "The server encountered an unexpected error that prevented it from communicating with the application.",
	'serverError_useraction': "To find more details about this issue, open the JavaScript console of your browser by pressing F12, refresh the widget, and check the JavaScript console for any resulting errors.",
	// Last UA revision: March 8, 2012
	
	// General Messages
	
	'loading': "Loading...",
	'noServers': "No applications with projects found.",
	'filteredServers': "All applications have been hidden. Use the widget <0>preferences</0> to edit the list of visible applications and their projects.",
	'allVisible': "All applications visible.",
	'someVisible': "${0} of ${1} applications visible.",
	'noneVisible': "No applications visible.",
	'hide': "hide",
	'noProjects': "You are not a member of any projects in this application.",
	'dialogTitle': "Applications to show",
	'dialogSelected': "Visible Applications:",
	'dialogUnselected': "Hidden Applications:",
	
	// The ${0} in this string is used to insert an icon demonstrating what the 'Home' button looks like
	'homeMenuUA': "Wondering how to find your projects if you close this widget?<br/>You can access them anytime through the dropdown menu next to the 'Home' ${0} button on the far left of the banner."
})
