/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.dashboard.web.ui.internal.util.xml");

dojo.require("dojox.xml.parser");

/*
 * XML utility functions.
 */
com.ibm.team.dashboard.web.ui.internal.util.xml = {
	
	/*
	 * Same as dojox.xml.parser.parse, but favors MSXML implementation over the
	 * native implementation in IE. Use this when you need documents that are
	 * compatible with documents loaded via XHRs.
	 */
	parse: dojo.isIE >= 9 ? _parseIE9AndUp : dojox.xml.parser.parse
};

var parse = dojox.xml.parser.parse;

function _parseIE9AndUp(/* string? */ str, /* string? */ mimeType) {
	var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
	if (str && xmlDoc) {
		xmlDoc.async = false;
		xmlDoc.loadXML(str);
		var e = xmlDoc.parseError;
		if(e.errorCode !== 0) {
			throw new Error("Line: " + e.line + "\n" +
				"Col: " + e.linepos + "\n" +
				"Reason: " + e.reason + "\n" +
				"Error Code: " + e.errorCode + "\n" +
				"Source: " + e.srcText);
		}
	}
	if (xmlDoc) {
		return xmlDoc;
	}
}

})();