/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'restoreLabel': "Restore to Saved",
	'testConnectionLabel': "Test Connection",
	
	// status messages
	'loading': "Loading configuration settings...",  
	'testing': "Testing configuration settings...", 
	'goNext': "Click Next to save the settings and continue",
	'disabled': "Configuration is set to disabled.  Configure settings or continue.",
	'pendingOk': "Test the settings to continue.",  
	'pendingErr': "Some property values are invalid.  Please correct flagged properties to continue.", 
	'pendingWarn': "Please verify properties flagged with warnings.  Test the settings to continue.", 
	'connectedOk': "The configuration test succeeded.  Click Next to save the settings and continue.",
	'connectedOkFinish': "The configuration test succeeded.  Click Finish to save the settings and continue.",
	'connectedErr': "CRJAZ1579E The configuration test resulted in errors. Resolve the errors to continue. For more details, open the help system and search for CRJAZ1579E.",
	'connectedErr.explanation': "The configuration of the properties is invalid and cannot be used.",
	'connectedErr.useraction': "Refer to the information provided with the message. The information should describe why the configuration did not pass the test for validity and how to provide a valid configuration. For additional help, see the help topic 'Running the setup wizard'.",
	//Last UA revision: 02/10/2012
	
	'connectedWarn': "CRJAZ1580W The configuration test resulted in warnings.  Resolve the warnings to continue.", 
	'saveErr': "CRJAZ1582E An error occurred while saving the configuration properties.",
	
	'connectionError': "CRJAZ1581E Error fetching connection status.", 
	
	'serverUnreachable': "CRJAZ1583E The server is unreachable.  Check network connectivity.", 
	'unspecifiedServerError': "CRJAZ1584E An unspecified server error has occurred."
})	



